.styled {
    border: 0;
    line-height: 2.5;
    padding: 0 20px;
    font-size: 1rem;
    text-align: center;
    color: #fff;
    text-shadow: 1px 1px 1px #000;
    border-radius: 10px;
    background-color: rgba(220, 0, 0, 1);
    background-image: linear-gradient(to top left, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2) 30%, rgba(0, 0, 0, 0));
    box-shadow: inset 2px 2px px rgba(255, 255, 255, 0.6), inset -2px -2px 3px rgba(0, 0, 0, 0.6);
    
    float:right;
}

.styled:hover {
    background-color: rgba(255, 0, 0, 1);
}

.styled:active {
    box-shadow: inset -2px -2px 3px rgba(255, 255, 255, 0.6), inset 2px 2px 3px rgba(0, 0, 0, 0.6);
}
.styled1 {
    border: 0;
    line-height: 2.5;
    padding: 0 20px;
    font-size: 1rem;
    text-align: center;
    color: #fff;
    text-shadow: 1px 1px 1px #000;
    border-radius: 10px;
    background-color: rgba(220, 0, 0, 1);
    background-image: linear-gradient(to top left, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2) 30%, rgba(0, 0, 0, 0));
    box-shadow: inset 2px 2px 3px rgba(255, 255, 255, 0.6), inset -2px -2px 3px rgba(0, 0, 0, 0.6);
    
    
}
.styled1:hover {
    background-color: rgba(255, 0, 0, 1);
    
}
body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #f1f1f1;
  }
  .container {
    width: 100%;
    margin: auto;
    background-color: #ffffff;
    padding: 2px;
    box-shadow: 0 0 10px rgba(0,0,0,0.2);
    border-radius: 10px;
    margin-top: 0px;
  }
  h1 {
    text-align: center;
    margin-bottom: 20px;
  }
  table {
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 10px;
  }
  th, td {
    padding: 10px;
    text-align: left;
  }
  th {
    background-color: #ddd;
  }
  tr:nth-child(even) {
    background-color: #f2f2f2;
  }
  input[type=text] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    border: none;
    border-radius: 4px;
    background-color: #f8f8f8;
  }
  button {
    background-color: #213e56;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    width: 100%;
  }
  button:hover {
    background-color: #213e56;
  }

  .mon-bouton {
    color : rgb(255, 255, 255);
  }
  .mon-bouton1 {
    color : rgb(221, 0, 0);
    text-decoration: none;
  }
  .payment-buttons {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-decoration: none;
  }
  
  .payment-button {
    background-color: #007bff;
    color: white;
    font-size: 2em;
    font-weight: bold;
    padding: 20px;
    margin: 10px;
    border: none;
    border-radius: 10px;
    cursor: pointer; 
    text-decoration: none;
  }
  
  .payment-button:hover {
    background-color: #0056b3;
    text-decoration: none;
  }
  
		
	button[disabled] {
    opacity: 0.5;
    cursor: not-allowed;
  }
  